---
title: "Update email inbox"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`PATCH /v2/entities/{id}/email-inbox`

## Path parameters

- `id` (`entity-update-email-inbox.path.id`; string, required)
  - format `uuid`

## Request body

- `label` (`entity-update-email-inbox.label`; string, optional)
  - minLength 1; maxLength 80
- `isActive` (`entity-update-email-inbox.isActive`; boolean, optional)
- `processingRules` (`entity-update-email-inbox.processingRules`; object, optional, nullable)
  - `intentKey` (`entity-update-email-inbox.processingRules.intentKey`; string, optional)
    - minLength 1; maxLength 120
  - `reporterProfileId` (`entity-update-email-inbox.processingRules.reporterProfileId`; string, optional)
    - format `uuid`

## Example request

```json
{
  "label": "string",
  "isActive": true,
  "processingRules": {
    "intentKey": "string",
    "reporterProfileId": "f90a7d02-c0b3-4552-8d43-e99e51b36e66"
  }
}
```

## Code samples

### cURL

```bash
curl --request PATCH \
  --url 'https://api.sureshake.com/v2/entities/<id>/email-inbox' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "string",
  "isActive": true,
  "processingRules": {
    "intentKey": "string",
    "reporterProfileId": "f90a7d02-c0b3-4552-8d43-e99e51b36e66"
  }
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/email-inbox';
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    label: 'string',
    isActive: true,
    processingRules: {intentKey: 'string', reporterProfileId: 'f90a7d02-c0b3-4552-8d43-e99e51b36e66'}
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/email-inbox"

payload = {
    "label": "string",
    "isActive": True,
    "processingRules": {
        "intentKey": "string",
        "reporterProfileId": "f90a7d02-c0b3-4552-8d43-e99e51b36e66"
    }
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "label": "string",
    "emailAddress": "user@example.com",
    "isActive": true,
    "processingRules": null,
    "autoForwardTo": [
      "string"
    ],
    "createdAt": "string",
    "updatedAt": "string"
  }
}
```

- `data` (`entity-update-email-inbox.response.200.data`; object, required)
  - `id` (`entity-update-email-inbox.response.200.data.id`; string, required)
    - format `uuid`
  - `entityId` (`entity-update-email-inbox.response.200.data.entityId`; string, required)
    - format `uuid`
  - `label` (`entity-update-email-inbox.response.200.data.label`; string, required)
    - minLength 1; maxLength 80
  - `emailAddress` (`entity-update-email-inbox.response.200.data.emailAddress`; string, required)
    - format `email`
  - `isActive` (`entity-update-email-inbox.response.200.data.isActive`; boolean, required)
  - `createdAt` (`entity-update-email-inbox.response.200.data.createdAt`; any of, required)
    - any of: `string`, `string`
  - `updatedAt` (`entity-update-email-inbox.response.200.data.updatedAt`; any of, required)
    - any of: `string`, `string`
  - `processingRules` (`entity-update-email-inbox.response.200.data.processingRules`; unknown, optional, nullable)
  - `autoForwardTo` (`entity-update-email-inbox.response.200.data.autoForwardTo`; array<string>, optional, nullable)

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update-email-inbox.response.400.error`; object, required)
  - `code` (`entity-update-email-inbox.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update-email-inbox.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update-email-inbox.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update-email-inbox.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update-email-inbox.response.401.error`; object, required)
  - `code` (`entity-update-email-inbox.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update-email-inbox.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update-email-inbox.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update-email-inbox.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update-email-inbox.response.403.error`; object, required)
  - `code` (`entity-update-email-inbox.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update-email-inbox.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update-email-inbox.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update-email-inbox.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update-email-inbox.response.404.error`; object, required)
  - `code` (`entity-update-email-inbox.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update-email-inbox.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update-email-inbox.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update-email-inbox.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update-email-inbox.response.409.error`; object, required)
  - `code` (`entity-update-email-inbox.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update-email-inbox.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update-email-inbox.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update-email-inbox.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update-email-inbox.response.422.error`; object, required)
  - `code` (`entity-update-email-inbox.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update-email-inbox.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update-email-inbox.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update-email-inbox.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update-email-inbox.response.429.error`; object, required)
  - `code` (`entity-update-email-inbox.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update-email-inbox.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update-email-inbox.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update-email-inbox.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update-email-inbox.response.500.error`; object, required)
  - `code` (`entity-update-email-inbox.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update-email-inbox.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update-email-inbox.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update-email-inbox.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update-email-inbox.response.503.error`; object, required)
  - `code` (`entity-update-email-inbox.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update-email-inbox.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update-email-inbox.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update-email-inbox.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-update-email-inbox/index.md
